accounts-qt 1.10

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | List of all members
Application Class Reference

Information on the client applications of libaccounts. More...

`#include <Accounts/Application>`

## Public Member Functions
| Application (const Application &other)
| Copy constructor. More...
Application & | operator= (const Application &other)
| ~Application ()
| Destructor.
bool | isValid () const
| Check whether this object represents an Application. More...
QString | name () const
| Get the unique ID of the application. More...
QString | displayName () const
| Get the display name of the application. More...
QString | description () const
| Get the description of the application. More...
QString | iconName () const
| Get the icon name of the application. More...
QString | desktopFilePath () const
| Get the .desktop file associated with this application. More...
QString | trCatalog () const
| Get the translation catalog for the texts returned by the methods of this class. More...
QString | serviceUsage (const Service &service) const
| Get the description from the application XML file, for the specified service; if not found, get the service-type description instead. More...

## Detailed Description

Information on the client applications of libaccounts.

The Application structure holds information on the client applications registered with libaccounts. It is instantiated by Manager::application() and Manager::applicationList().

Definition at line 40 of file application.h.

## Constructor & Destructor Documentation

Application | ( | const Application & | other | ) |

Copy constructor.

Copying an Application object is very cheap, because the data is shared among copies.

Definition at line 45 of file application.cpp.

## Member Function Documentation

QString description | ( |  | ) | const

Get the description of the application.

Returns
  The application description.

Definition at line 123 of file application.cpp.

QString desktopFilePath | ( |  | ) | const

Get the .desktop file associated with this application.

Returns
  The full path to the .desktop file.

Definition at line 152 of file application.cpp.

QString displayName | ( |  | ) | const

Get the display name of the application.

Returns
  The application display name.

Definition at line 107 of file application.cpp.

References Application::name().

QString iconName | ( |  | ) | const

Get the icon name of the application.

Returns
  The application icon name.

Definition at line 132 of file application.cpp.

bool isValid | ( |  | ) | const

Check whether this object represents an Application.

Returns
  true if the Application is a valid one.

Definition at line 87 of file application.cpp.

Referenced by Application::name().

QString name | ( |  | ) | const

Get the unique ID of the application.

This is the name of the .application file minus the .application suffix.

Returns
  The application unique ID.

Definition at line 97 of file application.cpp.

References Application::isValid().

Referenced by Application::displayName().

QString serviceUsage | ( | const Service & | service | ) | const

Get the description from the application XML file, for the specified service; if not found, get the service-type description instead.

Returns
  Usage description of the service.

Definition at line 179 of file application.cpp.

QString trCatalog | ( |  | ) | const

Get the translation catalog for the texts returned by the methods of this class.

Returns
  The translation catalog name.

Definition at line 169 of file application.cpp.

The documentation for this class was generated from the following files:

- Accounts/application.h
- Accounts/application.cpp